Get creator's media by UUID
Returns a specific media item by its UUID for the specified creator.
For media with status other than FINALISED, only uuid and status are returned.
For FINALISED media, all details including variants are included.
<Warning>Media URLs are only available through variants.
Specify the `variants` query parameter (e.g., `?variants=main,thumbnail,blurred`)
to include them in the response. Without this parameter, the `variants` field
will be an empty array and no media URLs will be returned.</Warning>
<Info>Scopes required: `read:creator`, `read:media`</Info>
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
creatorUserUuid
uuid
Headers
X-Fanvue-API-Version
API version to use for the request
Query parameters
purchasedBy
UUID of the user to check media purchase against. When provided, the media item will include a purchasedByFan boolean indicating if that user has purchased it.
variants
Allowed values:
Response
Media item
OR
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error